package com.blamejared.compat.botania.lexicon.commands;

import java.util.Iterator;
import vazkii.botania.api.lexicon.LexiconCategory;
import crafttweaker.mc1120.commands.SpecialMessagesChat;
import vazkii.botania.api.lexicon.LexiconEntry;
import vazkii.botania.api.BotaniaAPI;
import crafttweaker.CraftTweakerAPI;
import com.blamejared.compat.botania.BotaniaHelper;
import net.minecraft.command.ICommandSender;
import net.minecraft.server.MinecraftServer;
import crafttweaker.mc1120.commands.CraftTweakerCommand;

public class LexiconEntryLogger extends CraftTweakerCommand
{
    public LexiconEntryLogger() {
        super("botlexentries");
    }
    
    public void executeCommand(final MinecraftServer server, final ICommandSender sender, final String[] arguments) {
        LexiconCategory category = null;
        if (arguments.length > 0) {
            category = BotaniaHelper.findCatagory(arguments[0]);
            if (category == null) {
                CraftTweakerAPI.getLogger().logError("Category not found (" + arguments[0] + ")");
                return;
            }
        }
        CraftTweakerAPI.logCommand("Botania Lexicon Entries");
        for (final LexiconEntry entry : BotaniaAPI.getAllEntries()) {
            if (category == null || entry.category == category) {
                CraftTweakerAPI.logCommand(entry.getUnlocalizedName());
            }
        }
        if (sender != null) {
            sender.func_145747_a(SpecialMessagesChat.getLinkToCraftTweakerLog("List generated;", sender));
        }
    }
    
    protected void init() {
    }
}
